GET /load_balancers/{id}/metrics
Operation ID: —
Auth: unknown
Description
You must specify the type of metric to get: `open_connections`, `connections_per_second`, `requests_per_second` or `bandwidth`. You can also specify more than one type by comma separation, e.g. `requests_per_second,bandwidth`. Depending on the type you will get different time series data: |Type | Timeseries | Unit | Description | |---- |------------|------|-------------| | open_connections | open_connections | number | Open connections | | connections_per_second | connections_per_second | connections/s | Connections per second | | requests_per_second | requests_per_second | requests/s | Requests per second | | bandwidth | bandwidth.in | bytes/s | Ingress bandwidth | || bandwidth.out | bytes/s | Egress bandwidth | Metrics are available for the last 30 days only. If you do not provide the step argument we will automatically adjust it so that 200 samples are returned. We limit the number of samples to a maximum of 500 and will adjust the step parameter accordingly.
Parameters (5)
(string, query, required)
End of period to get Metrics for (in ISO-8601 format)
(integer, path, required)
ID of the Load Balancer
(string, query, required)
Start of period to get Metrics for (in ISO-8601 format)
(string, query, optional)
Resolution of results in seconds
(string, query, required)
Type of metrics to get
Constraints: {'enum': ['open_connections', 'connections_per_second', 'requests_per_second', 'bandwidth']}
No probe data for this endpoint yet.